
import { View, Swiper, Image, SwiperItem, Text, Input } from "@tarojs/components"
import { useEffect, useState, useMemo } from "react"
import Taro, { useReachBottom } from "@tarojs/taro"
import ButtontWX from '@/components/ButtontWX'
import addresss from '@/assets/mineImgaes/addresss.png'//地址
import searchs from '@/assets/homesImgaes/searchs.png'//搜索图片
import carsListImga from '@/assets/homesImgaes/carsListImga.png'//农机列表图片

import { getHomeBanner, getMachinery, } from "@/services/homes"



import './HomesCss/style.less'

export default (props) => {
  const location = Taro.getStorageSync('location')
  const [bannerHome, setBannerHome] = useState([])
  const [carsList, setCarsList] = useState([])

  let pageSize = 10;//每页加载的数据量
  let pageNum = 1;//当前页
  let totalPage = 0;//总页数
  let resultData = [];

  useEffect(() => {
    getHomeBanner({ position: 'banner' }).then((e) => {
      console.log('e', e);
      // let bame = e.filter(ele => ele.position == "banner")
      setBannerHome(e)
    })
    getMachinery(location, {
      pageSize: 3,
      pageNum: 1,
    }).then((e) => {
      setCarsList(e.records)
    })

  }, [])


  useReachBottom(() => {
    console.log('chufa',);

    if (pageNum < totalPage) {
      pageNum += 1;
      //加载下一页
      loadData()
      console.log('chufa',);
    } else {
      Taro.showToast({
        icon: "none",
        title: '没有更多数据了',
      })
    }
  }, [1])




  const loadData = () => {
    getMachinery(location, {
      pageSize: pageSize,
      pageNum: pageNum,
    }).then((e) => {
      pageNum = e.data.content.pageNum;
      totalPage = e.data.content.totalPageNum;
      resultData = e.data.content.rows;

      setCarsList(e.records)
    })
  }


  console.log("🚀 ~ file: Homes.jsx ~ line 36 ~ imglist ~ imglist", bannerHome)



  const handleSearch = (e) => {
    console.log(e.detail.value)
  }

  const goToCarsList = () => {//更多
    Taro.navigateTo({ url: '/pages/MoreCars/index' })

  }

  const startReserve = () => {
    Taro.navigateTo({ url: `/pages/OrderInfo/index?id${1}` })

  }
  const goCarsInfo = (res) => {
    Taro.navigateTo({ url: `/pages/CheckDetails/index?id=${res}&location=${location}` })

  }
  const goMapInfo = (res) => {
    Taro.navigateTo({ url: `/pages/CheckMap/index?mapId=${res + 111}` })

  }


  return (


    <scroll-view className='scrollView' scrollY style='height: 100%;' >
      <View className='heads-top-box'>
        <View className='heads-top-box-left'>
          <Image src={addresss} className='heads-top-box-left-addresssImg' />
          <Text>邓州市</Text>
          <View className='heads-top-box-left-addresssImg-DownIcon' />
        </View>
        <View className='heads-content-searchClass'>
          <Input type='text' className='heads-content-searchClass-searchInput' onBlur={handleSearch} placeholder='搜索关键字查询订单' />
          <Image src={searchs} className='heads-content-searchClass-searchInput-searchImg' />
        </View>
      </View>
      <Swiper
        circular
        autoplay
        className='swiper-box'
      >
        {bannerHome.map((item, inx) => (
          <SwiperItem key={inx}>
            <Image src={item.thumb} mode='widthFix' className='storeImage' />
          </SwiperItem>
        ))}
      </Swiper>
      <View className='content-header-box'>
        <View className='content-header-box-liftCentent'>
          <Image src={carsListImga} />
          <View>农机列表</View>
        </View>
        <View onClick={goToCarsList} className='content-header-box-rightCentent'>更多&gt;&gt;</View>
      </View>

      {
        carsList.map((item, index) => {
          return (
            <View key={index} className='carsListImga-bottom-box'>
              <Image src={item.thumb} onClick={() => goCarsInfo(item.machineryId)} />
              <View className='carsListImga-bottom-box-flaxBox'>
                <View className='carsListImga-bottom-box-flaxBox-liftText'>
                  <View className='carsListImga-bottom-box-flaxBox-liftText-Titles'>{item.name}</View>
                  <View className='carsListImga-bottom-box-flaxBox-liftText-price'>{item.price}/<Text>公顷</Text></View>
                </View>
                <View className='carsListImga-bottom-box-flaxBox-rightBut'>
                  <ButtontWX onClick={startReserve} butText='预约' butWidth={80} butHeight={34} butFontSize={19} butBorderRadius={0} />
                </View>
              </View>
              <View className='content-header-box-map' onClick={() => goMapInfo(item.machineryId)}>
                <View className='content-header-box-map-liftCentent'>
                  <Image src={addresss} />
                  <View>距离当前位置公里</View>
                </View>
                <View className='content-header-box-map-rightCentent'>进入地图&gt;&gt;</View>
              </View>
            </View>
          )
        })
      }

    </scroll-view>
  )
}
